Get track details (v1)
Returns a Shazam track's title, artists, album, label, genre, release date, ISRC, cover art, a 30-second audio preview and its Apple Music IDs and link, from its share link or track key. data is null when Shazam does not know the key.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
track*string
A Shazam track key, or the track's share link from the Shazam app or shazam.com, such as https://www.shazam.com/track/5933917/stairway-to-heaven.
Length
length <= 1000curl -X GET "https://example.com/v1/shazam/track?track=5933917" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "key": "5933917", "title": "Stairway to Heaven", "artist": "Led Zeppelin", "artists": [ { "apple_music_id": "994656", "slug": "led-zeppelin", "url": "https://www.shazam.com/artist/led-zeppelin/994656" } ], "album": "Led Zeppelin IV (Remastered)", "label": "Rhino Atlantic", "genre": "Rock", "release_date": "1971-11-08", "isrc": "USAT21207031", "explicit": true, "cover_art_url": "https://is1-ssl.mzstatic.com/image/thumb/Music115/v4/5c/15/9b/5c159b27-95ca-b9a7-84e3-28e795fffd39/dj.kvkrpptq.jpg/400x400cc.jpg", "artist_image_url": "string", "preview_url": "string", "apple_music": { "track_id": "580708180", "album_id": "580708175", "url": "https://music.apple.com/us/album/stairway-to-heaven/580708175?i=580708180" }, "url": "https://www.shazam.com/track/5933917/stairway-to-heaven" }, "details": { "reason": "string", "message": "string" }}